#ifndef BASEALGORITHM_H
#define BASEALGORITHM_H
#include <QDateTime>
#include <atomic>

class BaseAlgorithm  {
protected:
    std::atomic<qint64>thread_time;
    std::atomic<bool> isRunning{false};

public:
    BaseAlgorithm();

    virtual ~BaseAlgorithm();
    qint64 getThreadTime()const;

    bool getIsRunning()const;


    void setIsRunning(bool running);
};

#endif // BASEALGORITHM_H
